import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.MouseEvent;

import javax.swing.JOptionPane;


public class Canvas_ConnectPoint extends Canvas_State{
	private static final Color INIT_BG_COLOR = Color.WHITE;
	private static final Color INIT_EDGE_COLOR = Color.BLACK;
	
	Canvas_ConnectPoint(MyCanvas _canvas, Model_Root _data, Model_State s, int _mode){
		super(_canvas, _data, s, _mode);
		assert(s.get_model_type() == Model_State.TYPE_CONNECT_POINT);
	}
	
	public void paint(Graphics g){
		switch (mode){
		case MODE_NORMAL :
			paint_local(g, INIT_BG_COLOR, INIT_EDGE_COLOR, LABEL_COLOR, false, false);
			break;
		case MODE_FOCUSED :
			paint_local(g, INIT_BG_COLOR, INIT_EDGE_COLOR, LABEL_COLOR, true, false);
			break;
		case MODE_ADDING :
			paint_local(g, INIT_BG_COLOR, INIT_EDGE_COLOR, LABEL_COLOR, false, true);
			break;
		}
	}
	
	public void mouseClicked(MouseEvent e, boolean is_multi_focused){
		if(e.getClickCount() == 1) click_num = 1;
    	else click_num ++;
		
    	switch(click_num){
    	//クリック
    	case 1 :
    		break;
    	//ダブルクリック
    	case 2 :
    		break;
    	}
    }

}
