import java.awt.Point;
import java.util.ArrayList;

import org.w3c.dom.Element;


public class Model_Connect_Point extends Model_State {

	Model_Connect_Point(Model_Root _root, Point _pos, int _r){
		super(_root, _pos, _r);
	}
	
	Model_Connect_Point(Model_Root _root, Element xml){
		super(_root);
		
		set_xml(xml);
	}
	
	public Model_Base_State get_base_state(){
		return null;
	}
	
	public ArrayList<String> get_valiable_list(){
		return null;
	}
	
	public int get_model_type(){
		return TYPE_CONNECT_POINT;
	}
	
	@Override
	public String get_xml(){
		String text = "";
				
		text += "\t\t<State model_type=\"TYPE_CONNECT_POINT\">\n";
		text += "\t\t\t<pos.x><![CDATA[" + pos.x + "]]></pos.x>\n";
		text += "\t\t\t<pos.y><![CDATA[" + pos.y + "]]></pos.y>\n";
		text += "\t\t\t<r><![CDATA[" + r + "]]></r>\n";
		text += "\t\t</State>\n";
		
		return text;
	}
	
	@Override
	public void set_xml(Element xml){
		if(is_exist_xml_tag(xml, "pos.x")) pos.x = Integer.valueOf(get_xml_string(xml, "pos.x"));
		if(is_exist_xml_tag(xml, "pos.y")) pos.y = Integer.valueOf(get_xml_string(xml, "pos.y"));
		if(is_exist_xml_tag(xml, "r")) r = Integer.valueOf(get_xml_string(xml, "r"));
	}
	
	@Override
	public String get_base_state_name() {
		return "";
	}
}
