import java.awt.Toolkit;
import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.undo.CannotRedoException;
import javax.swing.undo.UndoManager;


public class RedoAction extends AbstractAction {
	private final UndoManager undoManager;
	public RedoAction(UndoManager manager) {
		super("redo");
		this.undoManager = manager;
	}
	public void actionPerformed(ActionEvent e) {
		try{
			undoManager.redo();
		}catch(CannotRedoException cue) {
			//cue.printStackTrace();
			Toolkit.getDefaultToolkit().beep();
		}
	}
}