import java.awt.Dialog;
import java.util.ArrayList;


public class Undo_Data {
	byte [] data = null;
	ArrayList<Integer> focused_state_index_list;
	ArrayList<Integer> focused_trans_index_list;
	ArrayList<Integer> focused_memo_index_list;
	ArrayList<Undo_Dialog_Info> state_dialog_list;
	ArrayList<Undo_Dialog_Info> trans_dialog_list;
	ArrayList<Undo_Dialog_Info> memo_dialog_list;
		
	Undo_Data(byte [] _data){
		data = _data;
		focused_state_index_list = new ArrayList<Integer>();
		focused_trans_index_list = new ArrayList<Integer>();
		focused_memo_index_list = new ArrayList<Integer>();
		state_dialog_list = new ArrayList<Undo_Dialog_Info>();
		trans_dialog_list = new ArrayList<Undo_Dialog_Info>();
		memo_dialog_list = new ArrayList<Undo_Dialog_Info>();
	}
	
	public void set_focused_index(ArrayList<Integer> _focused_state_index_list, ArrayList<Integer> _focused_trans_index_list, ArrayList<Integer> _focused_memo_index_list){
		focused_state_index_list = _focused_state_index_list;
		focused_trans_index_list = _focused_trans_index_list;
		focused_memo_index_list = _focused_memo_index_list;
	}
	
	public void set_dialog_info(ArrayList<Undo_Dialog_Info> _state_dialog_list, ArrayList<Undo_Dialog_Info> _trans_dialog_list, ArrayList<Undo_Dialog_Info> _memo_dialog_list){
		state_dialog_list = _state_dialog_list;
		trans_dialog_list = _trans_dialog_list;
		memo_dialog_list = _memo_dialog_list;
	}
	
	byte [] get_data(){
		return data;
	}
	
	public ArrayList<Integer> get_focused_state_index_list(){
		return focused_state_index_list;
	}
	
	public ArrayList<Integer> get_focused_trans_index_list(){
		return focused_trans_index_list;
	}
	
	public ArrayList<Integer> get_focused_memo_index_list(){
		return focused_memo_index_list;
	}
	
	public ArrayList<Undo_Dialog_Info> get_state_dialog_list(){
		return state_dialog_list;
	}
	
	public ArrayList<Undo_Dialog_Info> get_trans_dialog_list(){
		return trans_dialog_list;
	}
	
	public ArrayList<Undo_Dialog_Info> get_memo_dialog_list(){
		return memo_dialog_list;
	}
}

class Undo_Dialog_Info{
	Dialog dialog;
	int model_index;
	
	Undo_Dialog_Info(Dialog d , int _model_index){
		dialog = d;
		model_index = _model_index;
	}
	
	public Dialog get_dialog(){
		return dialog;
	}
	
	public int get_model_index(){
		return model_index;
	}
}