import java.io.Serializable;

import org.w3c.dom.Element;
import org.w3c.dom.NodeList;


abstract public class Model_Elem implements Serializable {
	protected Model_Root root = null;
	
	Model_Elem(Model_Root _root){
		root = _root;
	}
	
	public void set_data(Model_Root _root){
		root = _root;
	}
	
	abstract public String get_alloy();
	abstract public String get_xml();
	abstract public void set_xml(Element xml);
	
	protected boolean is_exist_xml_tag(Element xml, String tag){
		NodeList list = xml.getElementsByTagName(tag);
		Element elem = (Element)list.item(0);
		if(elem == null) return false;
		else if(elem.hasChildNodes()) return true;
		else return false;
	}
	
	protected String get_xml_string(Element xml, String tag){
		NodeList list = xml.getElementsByTagName(tag);
		Element elem = (Element)list.item(0);
		if(elem == null) return "";
		else if(elem.hasChildNodes()){
			return elem.getFirstChild().getNodeValue();
		}
		else return "";
	}
	
	protected String insert_tab(String text){
		String new_text = new String(text);
		new_text = "\t" + new_text;
		new_text = new_text.replaceAll("\n", "\n\t");
		return new_text;
	}
}
