import java.awt.Event;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;
import javax.swing.InputMap;
import javax.swing.JComponent;
import javax.swing.KeyStroke;
import javax.swing.text.JTextComponent;
import javax.swing.undo.CannotUndoException;
import javax.swing.undo.UndoManager;

public class UndoAction extends AbstractAction {
	private final UndoManager undoManager;
	public UndoAction(UndoManager manager) {
		super("undo");
		this.undoManager = manager;
	}
	public void actionPerformed(ActionEvent e) {
		try{
			undoManager.undo();
		}catch(CannotUndoException cue) {
			//cue.printStackTrace();
			Toolkit.getDefaultToolkit().beep();
		}
	}
}